package org.jivesoftware.smack.packet;

public class EmptyResultIQ extends IQ {
   public EmptyResultIQ() {
      super((String)null, (String)null);
      this.setType(IQ.Type.result);
   }

   public EmptyResultIQ(IQ request) {
      this();
      if (request.getType() != IQ.Type.get && request.getType() != IQ.Type.set) {
         throw new IllegalArgumentException("IQ must be of type 'set' or 'get'. Original IQ: " + request.toXML());
      } else {
         this.setStanzaId(request.getStanzaId());
         this.setFrom(request.getTo());
         this.setTo(request.getFrom());
      }
   }

   protected IQ.IQChildElementXmlStringBuilder getIQChildElementBuilder(IQ.IQChildElementXmlStringBuilder xml) {
      return null;
   }
}
